/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NMCAMERA__
#define	__NMCAMERA__


		#include "core/camera.h"
		#include "scene3d/mitem.h"


namespace GS {
	namespace S3D {

/*!
	@short	Managed camera.
	@author Emmanuel Julien (ejulien@gsworks.fr)
*/
struct	MCamera: public MItem, public Core::Camera
{
static	MItemType		GetMItemClassType() { return Type_Camera; }

virtual	Core::Item		*GetBaseItem() { return this; }
virtual	Core::Renderable *GetRenderable() { return 0; }

virtual	bool			FromMetaTag(NML::Tag &);
virtual	NML::Tag		*AsMetaTag();

		MCamera();
};

	} // S3D
} // GS


#endif // __NMCAMERA__
